<!DOCTYPE html>
<html lang="ru">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <link rel="stylesheet" href="css/bootstrap.min.css">
  <link rel="stylesheet" href="css/bootstrap.css.map">
  <link rel="stylesheet" href="css/style.css">

  <link rel="stylesheet" type="text/css" href="slick/slick.css" />
  <link rel="stylesheet" type="text/css" href="slick/slick-theme.css" />

  <script src="https://code.jquery.com/jquery-3.2.1.min.js"
    integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
    integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI"
    crossorigin="anonymous"></script>

  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <script src="slick/slick.min.js" defer></script>
  <script src="js/galery.js" defer></script>
  <script src="slick/slick.min.js" defer></script>
  <script src="js/count.js" defer></script>
  <script src="js/forma.js" defer></script>
  <script src="js/updatedCount.js" defer></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <title>Задание №8</title>
</head>

<body class="body">

  <div class="container-fluid mb-3 headder" id="TopSide">
    <div class="row" id="anchorr">

      <main class="order-2 p-2 align-self-center mx-auto">
        <a class="navbar-brand nav-text" href="./index.html">
          <h1>Л/р №8</h1>
        </a>
      </main>

      <aside class="order-1 p-2">
        <a class="navbar-brand nav-text" href="./index.html">
          <img class="img-fluid rounded-circle"
            src="https://st2.depositphotos.com/3154447/10566/v/450/depositphotos_105669072-stock-illustration-pi-symbol-with-infinity-sign.jpg"
            alt="Описание картинки для скрин-ридеров и поисковиков" />
        </a>
      </aside>

    </div>
  </div>

  <nav class="container-sm">
    <div class="row mb-3 align-self-center">
      <div class="col-sm-12 col-md-6 col-lg-2 col-xl-2 themed-grid-col py-2">
        <a href="#links">
          <h5 class="text-center">Ссылки</h5>
        </a>
      </div>
      <div class="col-sm-12 col-md-6 col-lg-2 col-xl-2 themed-grid-col py-2">
        <a href="#table">
          <h5 class="text-center">Таблица</h5>
        </a>
      </div>
      <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4 themed-grid-col py-2">
        <a href="#form">
          <h5 class="text-center">Форма</h5>
        </a>
      </div>
      <div class="col-sm-12 col-md-6 col-lg-2 col-xl-2 themed-grid-col py-2">
        <a href="#author">
          <h5 class="text-center">Автор</h5>
        </a>
      </div>
      <div class="col-sm-12 col-md-6 col-lg-2 col-xl-2 themed-grid-col py-2">
        <a href="#calculator">
          <h5 class="text-center">Калькулятор</h5>
        </a>
      </div>
    </div>
  </nav>


  <div class="d-flex flex-column">
    <div class="contentblocks order-1">
      <div class="container-sm theme-list py-3 pl-0 mb-3">
        <div class="d-flex flex-column align-items-center flex-wrap">
          <h2>Popup</h2>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#webModal">
            Показать форму
          </button>
        </div>
      </div>
    </div>

    <div class="contentblocks order-1">
      <div class="container-sm theme-list py-3 pl-0 mb-3" id="links">
        <h2 class="text-center">Гиперссылки</h2>
        <ol>
          <li><a href="http://kubsu.ru/">Гиперссылка на example</a></li>
          <li><a href="https://kubsu.ru/">Гиперссылка на example в https</a></li>
          <li><a href="ftp://speedtest.tele2.net/10GB.zip">FTP без авторизации</a></li>
          <li><a href="ftp://user:pass@randomserver.ru/temp2/file.txt">ссылка с авторизацией</a></li>
          <li><a href="http://tehnopost.info/10-yakor-ankor-na-veb-stranice.html#primer">фрагмент страницы некоторого
              сайта</a></li>
          <li><a href="#anchorr">фрагмент текущей страницы</a></li>
          <li><a
              href="https://www.ozon.ru/category/naushniki-i-garnitury-15546/?from_global=true&text=%D0%BD%D0%B0%D1%83%D1%88%D0%BD%D0%B8%D0%BA%D0%B8">Два
              параметра</a></li>
          <li>Кубгу
            <ol>
              <li><a href="https://www.kubsu.ru/ru/university/departments" title="kubsu">факультеты</a></li>
              <li><a href="https://www.kubsu.ru/ru/studlife/profkom" title="kubsu">профком</a></li>
              <li><a href="https://www.kubsu.ru/ru/studlife/placement" title="kubsu">трудоустройство</a></li>
            </ol>
          </li>
          <li><a>ссылка без href</a></li>
          <li><a href="">ссылка с пустым href</a></li>
          <li><a href="http://ozon.ru" rel="nofollow">невидимая поисковикам ссылка</a></li>
          <li><a href="http://kubsu.ru" rel="nofollow">
              <!--noindex-->неиндескируемая ссылка
              <!--/noindex--></a></li>
          <li><a
              href="https://ru.wikipedia.org/wiki/%D0%A2%D1%8C%D1%8E%D1%80%D0%B8%D0%BD%D0%B3,_%D0%90%D0%BB%D0%B0%D0%BD">Алан
              Тьюринг</a> - знаменитый математик, <a
              href="https://ru.wikipedia.org/wiki/%D0%9A%D1%80%D0%B8%D0%BF%D1%82%D0%BE%D0%B3%D1%80%D0%B0%D1%84">криптограф.</a>
          </li>
          <li><a href="https://cs2.livemaster.ru"><img class="img-fluid"
                src="https://cs2.livemaster.ru/storage/f1/4b/6e01ef6c4a0ecfe3c0d00e252504--kartiny-i-panno-morskoj-pejzazh-more-bezmyatezhnost-kartina-m.jpg"
                width="640" height="450" alt="картинка"></a></li>
          <li><img class="img-fluid" src="https://picwalls.ru/img/gallery/20/thumbs/thumb_l_33484pw.jpg" width="600"
              height="400" alt="Навигация по сайту" usemap="#navigation1">
            <map name="navigation1">
              <area shape="circle" coords="65,300,50" href="https://time100.ru/" alt="время">
              <area shape="rect" coords="340,280,595,370" href="http://kubsu.ru" alt="kubsu">
            </map>
            <br>стопка книг - ссылка на kubsu.ru<br>
            часы - ссылка на time100.ru
          </li>
          <li><a href="./web1.html">в текущем каталоге</a></li>
          <li><a href="./about/web1.html">в каталоге about</a></li>
          <li><a href="../web1.html">в каталоге на 1 уровень выше текущего</a></li>
          <li><a href="../../web1.html">на 2 уровня выше</a></li>
          <li><a href="/">сокращенная ссылка на главную</a></li>
          <li><a href="/glob">сокращенная на внутреннюю</a></li>
        </ol>
      </div>
    </div>

    <div class="contentblocks order-3 order-sm-2 ">
      <div class="container-sm theme-list py-3 pl-0 mb-3">
        <div class="container-sm theme-list py-3 mb-3 table-responsive-sm">
          <h2 class="text-center" id="table">Таблица</h2>
          <table class="table table-striped table-bordered table-hover table-sm ml-2 align-items-center">
            <caption>
            <tr class="thead-dark text-center">
              <th>0-20</th>
              <th>20-40</th>
              <th>40-80</th>
              <th>80-100</th>
            </tr>
            <tr class="even text-center">
              <td colspan="2">плохие результаты сданного теста</td>
              <td colspan="2">хорошие результаты сданного теста</td>
            </tr>
            <tr class="odd text-center">
              <td>Петров</td>
              <td>Сидоров</td>
              <td>Иванов</td>
              <td>Семёнов</td>
            </tr>
            <tr class="even text-center">
              <td>Смит</td>
              <td>Булгаков</td>
              <td>Крылов</td>
              <td>Сорокина</td>
            </tr>
            <tr class="odd text-center">
              <td>Рыбаков</td>
              <td>Врангель</td>
              <td>Королёва</td>
              <td>Ковальчук</td>
            </tr>
            <tr class="even text-center">
              <td>Менделеев</td>
              <td>Лагранж</td>
              <td>Больцано</td>
              <td>Коши</td>
            </tr>
          </table>
        </div>
      </div>
    </div>

    <div class="contentblocks order-2 order-sm-3">
      <div class="container-sm theme-list py-3 pl-0 mb-3">
        <div class="d-flex flex-column align-items-center flex-wrap">
          <h2 class="text-center" id="form">Форма</h2>
          <form class="d-block p-2" action="mmth" method="POST">
            <label class="textStyle">
              Введите имя
              <br />
              <input name="name" placeholder="имя" value="">
            </label>
            <br />
            <label class="textStyle">
              Введите ваш eMail
              <br />
              <input name="mail" placeholder="...@mail.ru" value="" type="email">
            </label>
            <br />
            <label class="textStyle">
              Введите год рождения
              <br>
              <input name="Bithday" placeholder="dd.mm.yyyy" value="">
            </label>
            <br />
            <label class="textStyle">
              Выберите пол
              <br />
              <input type="radio" checked="checked" name="pol" value="Значение1">
              М
            </label>
            <label class="textStyle">
              <input type="radio" name="pol" value="Значение2">
              Ж
            </label>
            <br />
            <label class="textStyle">
              Выберите кол-во конечностей
              <br />
              <input type="radio" name="kon" value="Значение1">
              4
            </label><br />
            <label class="textStyle">
              <input type="radio" checked="checked" name="kon" value="Значение2">
              40
            </label><br />
            <label class="textStyle">
              <input type="radio" name="kon" value="Значение3">
              0
            </label><br />
            <label class="textStyle">
              Выберите свои сверхспособности
              <br />
              <select name="superabitilies[]" multiple="multiple">
                <option value="Значение1">Бессметрие</option>
                <option value="Значение2">Прохождение сквозь стены</option>
                <option value="Значение3">Левитация</option>
                <option value="Значение3">решение диффур</option>
                <option value="Значение3">телепатия (с ней возможно всё)</option>
              </select>
            </label><br />
            <label class="textStyle">
              Расскажите о себе:
              <br />
              <textarea name="Biography">информация о себе</textarea>
            </label><br />
            <label class="textStyle">
              <input type="checkbox" name="soglasie"> С контрактом ознакомлен(-а)
            </label><br />
            <input type="submit" value="Отправить">
          </form>
        </div>
      </div>
    </div>

    <div class="contentblocks order-4">
      <div class="container-sm theme-list py-3 pl-0 mb-3">
        <div class="d-flex flex-column align-items-center flex-wrap">
          <h2 class="text-center" id="calculator">Считалка товара</h2>
          <form class="d-block p-2" action="URL" method="POST">
            <label>Цена товара:<br />
              <input name="Price" value="" type="text" id="Price" />
            </label>
            <br /><br />
            <label>Количество товара:<br />
              <input name="Kol" value="" type="text" id="Kol" />
            </label>
            <br /><br />
            <input type="button" value="ПОДСЧЁТ" id="button_1">
          </form>
          <br />
          <div id="result">
            Результат
          </div>
          <div>
          </div>
        </div>
      </div>
    </div>

    <div class="contentblocks order-5">
      <div class="container-sm theme-list py-3 pl-3 mb-3" id="updatedCount">
        <div class="d-flex flex-column align-items-center flex-wrap">
          <h2 class="text-center">Улучшенная Считалка Товара</h2>

          <form>
            Какую консоль хотите?
            <select name="consol">
              <option value="1">Nintendo Switch</option>
              <option value="2">Xbox</option>
              <option value="3">Playstation</option>
            </select>
            <br /><br />
            <label>Количество:
              <input name="howMuch" placeholder="Количество консолей" type="text" id="Amount" />
            </label>
            <br /><br />
            <div id="rad">
              <label><input type="radio" name="options" value="option1"> С дисководом</label>
              <label><input type="radio" name="options" value="option2"> Без дисковода</label>
              <label><input type="radio" name="options" value="option3"> Подписка</label>
            </div>
            <div id="CheckBoxes">
              <label><input type="checkbox" name="prop1"> Добавить случайную игру</label>
              <label><input type="checkbox" name="prop2"> Добавить крутую игру</label>
            </div>
          </form>

          <div id="rresult">Результат</div>
        </div>
      </div>
    </div>

    <div class="contentblocks order-6">
      <div class="container-sm theme-list py-3 pl-3 mb-3" id="galery">
        <h2 class="text-center">Котики</h2>
        <div class="slider-four-item m-3">
          <img src="https://sun9-27.userapi.com/UyR4ezqYg87l53O9cLzu4Cp17o7g784ymB8LSg/NcVuPzGXdHs.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-13.userapi.com/_1_Gncqd0XvsFxwKP_ce-D-tsmIpbxOoAGPSaw/wXqJORP2c7M.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-24.userapi.com/ATrYuNyLaFAsx1_wAYCKL1uIImqusrecjuwbzw/LRGcxZ7d-60.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-45.userapi.com/djTwBCQXGoWmTewC9n5GDf_fdkBtJ-dSSnD7BQ/S91RI7sn_AA.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-47.userapi.com/0_uxIliN7JVa2Xzhq7c6UntlJN3FMkOB-iHyUg/d6HA9LJu8tA.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-39.userapi.com/MpMI9f8rmQhzPk2YfH3CHL7fShcTvhsX8AratQ/-AOnRq1UIxk.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-41.userapi.com/Ni6oOvADoYzWq1dAVqkHsBGGwUyHwYXC64cdVg/C-s2xls813Q.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-44.userapi.com/sVuns6sUayZbIzEwajWYxOhP7A93rT3js1updw/Tq5LWehmrDs.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-12.userapi.com/IySEDUEce9Fai9etw-76X06_JBFqoy5DberBOw/dWe5atbJxwI.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-46.userapi.com/P44Qv4z2QZQKngJVLvJZCYLXSO-cvc59VhLUng/87VoXJxKBio.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-7.userapi.com/8Y6TIAsLSzv2HnrvQw7WbqEaXj_FFX5k2fJKog/eBhl4MfrgAc.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-40.userapi.com/B3xOnVXsb0mykG9JJQszb6jOE-EnPZDBjKed4g/S74xrWJGZoY.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-12.userapi.com/DGwYkDdwr_WClVcD_iDuA1cMzBLSV3vWRsi29A/66u2efHm4r0.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-24.userapi.com/_k_A_ROmbSToov4_-yVJO6TLlMLArGc8Di1GxA/Ib3Z5dyjrzY.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-9.userapi.com/KvouyxQNjrL8DX176AuG3-CXyXDL3Qnq1cTVng/HU_D8YQ6PgU.jpg"
            class="m-3 rounded" alt="s">
          <img src="https://sun9-55.userapi.com/JqCy5ND0U9q-bjxxQMpuvwmt5f_lIGt1xP8acQ/TrtrKeMU490.jpg"
            class="m-3 rounded" alt="s">
        </div>
      </div>

      <footer><a id="author"></a>
        <div class="container-fluid rounded text-center order-8">
          <h3>(c) Беспалов Максим, 2020</h3>
        </div>
      </footer>
    </div>
  </div>
  <!--Modal-->
  <div class="modal fade" tabindex="-1" role="dialog" id="webModal" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="contentblocks modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="exampleModalLabel">Заполните форму</h4>
          <button class="close" data-dismiss="modal" type="button" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form class="py-1" id="formAjax" method="post">
            <label>
              Ваше имя:
              <input id="inputModalName" class="w-100" name="name" required />
            </label>
            <br />
            <label>
              Ваша электронная почта:
              <input id="inputModalEmail" class="w-100" name="email" required />
            </label>
            <br />
            <label>
              Дополнительное сообщение:
              <br />
              <textarea class="w-100" rows="4" id="inputModalMsg" name="mesg" required></textarea>
            </label>
            <br />
            <label>
              <input id="modalCheckbox" style="width: 10px; height: 10px;" type="checkbox" required />
              Даю согласие на обработку персональных данных
            </label>
            <br />
            <input type="submit" id="modalButton" class="btn btn-primary" value="Отправить" />
          </form>
        </div>
      </div>
    </div>
  </div>


</body>

</html>